MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004051ACheckerAChecker web sitepublic2009-11-26 05:282011-01-25 13:16
Reporterjsilva 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.1 
Summary0004051: alt text inside <lable><img> throws "anchor contains no text" error
DescriptionThe following code:

<input type="text" name="a-text-input-field" id="a-text-input-field"/>
<a><label for="a-text-input-field"><img src="path-to-img" alt="image description"></label></a>

throws the error, but evidently, the alt text is available within the anchor. I don't know, however, if this is an achecker error or just bad layout on my part.
TagsNo tags attached.
SVN Revision#
Attached Files

- Relationships
related to 0004558closedcindy check 174 

-  Notes
(0004916)
cindy (administrator)
2011-01-14 14:02

Solution: Modified checks.func for check 174 to use basic function getInnerTextLength() instead of getPlainTextLength().

Affected: install/db/achecker_schema.sql
(0004961)
greg (administrator)
2011-01-25 13:16

closed for AChecker 1.1

- Issue History
Date Modified Username Field Change
2009-11-26 05:28 jsilva New Issue
2011-01-14 11:05 greg Assigned To => cindy
2011-01-14 11:05 greg Status new => assigned
2011-01-14 11:06 greg Relationship added related to 0004558
2011-01-14 14:02 cindy Note Added: 0004916
2011-01-14 14:02 cindy Status assigned => resolved
2011-01-14 14:02 cindy Fixed in Version => 1.1
2011-01-14 14:02 cindy Resolution open => fixed
2011-01-25 13:16 greg Note Added: 0004961
2011-01-25 13:16 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker